########################################################################
#Greet & Leave TCL vers 1.0
#This tcl contains both greet module & leave module.
#The greet module greets the users onjoin on the chan with a private #message
#The leave module sends a message to the users when they part the chan
#
#                                      BLaCkShaDoW Productions
#######################################################################

#To set leave : .leave set <message>
#Tu turn off leave : .leave off
#To turn on leave : .leave on
#To see the leave that is set : .leave display
#To view the status of the module : .leave status

#To set greet : .greet set <message>
#Tu turn off greet : .greet off    
#Tu turn on greet : .greet on
#To see the greet that is set : .greet display
#To view the status of the module : .greet status


#Here you can set the start character of the commands

set lj(char) "."


#Here you can set the access level that could set the leave & greet

set lj(access) "nm|MA"



########################################################################
#                     This is the end mothafucka :D
#
#
#######################################################################
set names "Greet & Leave"
set Autor "BLaCkShaDoW"
set vers "1.0"

bind pub $lj(access) $lj(char)leave leaves
setudef flag leave
proc leaves {nick host hand chan arg} {
global botnick
set why [lindex $arg 0]
set message [lrange $arg 1 end]
if {$why == ""} {puthelp "NOTICE $nick :Use .leave <set> | <on> | <off> | <display> | <status>"
return 0
}
if { [channel get $chan leave] } { set leavez "on" } else { set leavez "off"}
if {([regexp -nocase -- {(#[0-9]+|on|off|status|set|display)} $why tmp leave]) && (![regexp -nocase -- {\S#} $why])} {
    switch $leave {
 on {
if {($leavez == "on") && ($why == "on")} { puthelp "NOTICE $nick :Leave for $chan is allready activated"
return 0
}
channel set $chan +leave
puthelp "NOTICE $nick :I activated the module leave on $chan"
}
 off {
if {($leavez == "off") && ($why == "off")} { puthelp "NOTICE $nick :Leave for $chan is allready deactivated"
return 0
}

channel set $chan -leave
puthelp "NOTICE $nick :I deactivated the module leave on $chan"
 }

status {

if {[channel get $chan leave]} { set status "ACTIVATED" } else { set status "DEACTIVATED" }
puthelp "NOTICE $nick :The module leave for $chan is :$status"

}


 set {
 if {$message == ""} { puthelp "NOTICE $nick :Use .leave set <message>"
return 0
}
puthelp "NOTICE $nick :The leave for $chan is :$message"
set leavetext [open leave($chan).txt w]
puts $leavetext "$message"
close $leavetext
}

display {
set leavetext [open leave($chan).txt r]
set leavetxt "[gets $leavetext]"
catch {close $leavetxt}
if {$leavetxt == ""} { puthelp "NOTICE $nick :$chan doesnt have a leave message available!"
return 0 
}
puthelp "NOTICE $nick :The module leave for $chan is : $leavetxt"
}

}
}
}

bind part - * leavepart

proc leavepart {nick host hand chan args} {
global botnick
if {[channel get $chan leave]} {
set leavetext [open leave($chan).txt r]
set leavetxt "[gets $leavetext]"
catch {close $leavetxt}
if {$leavetxt == "" } { return 0 }
putquick "PRIVMSG $nick :$leavetxt"

}
}

bind pub $lj(access) $lj(char)greet greets
setudef flag greet
proc greets {nick host hand chan arg} {
global botnick
set why [lindex $arg 0]
set message [lrange $arg 1 end]
if {$why == ""} {puthelp "NOTICE $nick :Use .greet <set> | <on> | <off> | <display> | <status>"
return 0
}
if { [channel get $chan greet] } { set greetz "on" } else { set greetz "off"}
if {([regexp -nocase -- {(#[0-9]+|on|off|status|set|display)} $why tmp greet]) && (![regexp -nocase -- {\S#} $why])} {
    switch $greet {

 on {
if {($greetz == "on") && ($why == "on")} { puthelp "NOTICE $nick :Greet for $chan is allready activated"
return 0
}

channel set $chan +greet
puthelp "NOTICE $nick :I activated the module greet on $chan"
}
 off {
if {($greetz == "off") && ($why == "off")} { puthelp "NOTICE $nick :Greet for $chan is allready deactivated"
return 0
}
channel set $chan -greet
puthelp "NOTICE $nick :I deactivated the module greet on $chan"
 }

 set {
 if {$message == ""} { puthelp "NOTICE $nick :Use .greet set <message>"
return 0
}
puthelp "NOTICE $nick :The greet for $chan is :$message"
set greettext [open greet($chan).txt w]
puts $greettext "$message"
close $greettext
}

status {
if {[channel get $chan greet]} { set status "ACTIVATED" } else { set status "DEACTIVATED" }
puthelp "NOTICE $nick :The module greet for $chan is :$status"

}

display {
set greettext [open greet($chan).txt r]
set greettxt "[gets $greettext]"
catch {close $greettxt}
if {$greettxt == ""} { puthelp "NOTICE $nick :$chan doesnt have a greet message available!"
return 0 
}
puthelp "NOTICE $nick :The module greet for $chan is :$greettxt"
}

}
}
}

bind join - * joins

proc joins {nick host hand chan args} {
global botnick
if {[channel get $chan greet]} {
set greettext [open greet($chan).txt r]
set greettxt "[gets $greettext]"
catch {close $greettxt}
if {$greettxt == "" } { return 0 }
putquick "PRIVMSG $nick :$greettxt"

}
}

putlog "$names $vers by $Autor Loaded"
